<?php
header('Content-Type: application/json');

$query = isset($_GET['query']) ? $_GET['query'] : '';

$data = json_decode(file_get_contents('data.json'), true);

if ($query) {
    $filteredItems = array_filter($data, function($item) use ($query) {
        return stripos($item['nombreCurso'], $query) !== false || stripos($item['claveBanner'], $query) !== false;
    });
} else {
    $filteredItems = $data;
}

echo json_encode(array_values($filteredItems));
?>
