<?php
// Cargar el archivo JSON
$jsonFile = 'data.json';
$jsonData = json_decode(file_get_contents($jsonFile), true);

// Guardar cambios si se envió el formulario
// if ($_SERVER['REQUEST_METHOD'] === 'POST') {
//     $jsonData['usuarios'] = $_POST['usuarios'];
//     file_put_contents($jsonFile, json_encode($jsonData, JSON_PRETTY_PRINT));
//     $message = "Cambios guardados.";
// }



?>

<!DOCTYPE html>
<html lang="es" data-bs-theme="dark">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Editor JSON</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.11.3/font/bootstrap-icons.min.css">
    <link rel="stylesheet" href="./css/style.css">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap" rel="stylesheet">
</head>
<body>


    <form method="POST">
        
    <header>
      <!-- NAVBAR -->
        <nav class="navbar navbar-expand-lg bg-body-tertiary">
            <div class="container-fluid d-flex flex-md-nowrap">
              <a class="navbar-brand flex-grow-1 text-center text-md-start" href="#"><h3>Notas de enseñanza</h3></a>
              <div class="collapse navbar-collapse show flex-grow-0 text-center" id="navbarSupportedContent">
                <form id="dataForm">
                    <div class="input-group" style="position: relative;">
                        <i class="bi bi-search" style="position: absolute; right: 20px;
                        top: 10px; "></i>
                        <input class="ps-3 p-2" type="text" id="inputSearch" placeholder="Busqueda de NE" required autofocus style="border-radius: 15px; width: 100%;" >
                      </div>
                </form>
              </div>
            </div>
          </nav>
    </header>



    <section class="position-relative" style="min-height: 80vh;">
        <div class="container">
            <!-- HTML DINÁMICO -->
            <div class="row mt-3" id="print">
            

                

                    </div>
                </div>
            </div>
        </div>
                
            </div>
        </div>
        <div class="position-absolute bottom-0 end-0">
            <button class="btn btn-create-note" id="createBtn" data-bs-toggle="modal" data-bs-target="#createNote"><h2 class="display-5"><i class="bi bi-plus-circle"></i></h2></button>
        </div>
        <!-- MODAL CREAR NOTA -->
        <div class="modal fade" id="createNote" tabindex="-1" aria-labelledby="createNoteLabel" aria-hidden="true">
            <div class="modal-dialog modal-dialog modal-lg">
              <div class="modal-content">
                <div class="modal-header">
                  <h1 class="modal-title fs-5" id="createNoteLabel">Crear nota de enseñanza</h1>
                  <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <form id="dataForm">
                        <div class="mb-3">
                          <label for="inputClaveBanner" class="form-label">Clave Banner</label>
                          <input type="text" class="form-control" id="inputClaveBanner" required="" autofocus maxlength="8">
                        </div>
                        <div class="mb-3">
                          <label for="inputNombreCurso" class="form-label">Nombre del curso</label>
                          <input type="Text" class="form-control" id="inputNombreCurso" required="">
                        </div>
                        <div class="mb-3">
                          <label for="inputVersiones" class="form-label">Versiones</label>
                        </div>
                        <div class="mb-3 form-check">
                          <input type="checkbox" class="form-check-input" id="checkPresencial">
                          <label class="form-check-label custom-checkbox" for="checkPresencial">Presencial</label>
                        </div>
                        <div class="mb-3 form-check">
                          <input type="checkbox" class="form-check-input" id="checkConnect">
                          <label class="form-check-label custom-checkbox" for="checkConnect">Connect</label>
                        </div>
                    
                        <div class=" modal-footer">
                            <button type="button" class="btn btn-secondary float-end me-3" data-bs-dismiss="modal">Cerrar</button>
                            <button type="submit" class="btn btn-primary float-end" id="saveButton">Guardar información</button>
                        </div>
                      </form>
                </div>
              </div>
            </div>
          </div>
        <!-- MODAL EDITAR NOTA -->
        <div class="modal fade" id="updateNote" tabindex="-1" aria-labelledby="updateNoteLabel" aria-hidden="true">
            <div class="modal-dialog modal-dialog modal-lg">
              <div class="modal-content">
                <div class="modal-header">
                  <h1 class="modal-title fs-5" id="updateNoteLabel">Actualiza la nota de enseñanza</h1>
                  <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <form id="dataForm">
                        <div class="mb-3">
                          <label for="inputClaveBannerUpdate" class="form-label">Clave Banner</label>
                          <input type="text" class="form-control" id="inputClaveBannerUpdate" required="" autofocus maxlength="8">
                        </div>
                        <div class="mb-3">
                          <label for="inputNombreCursoUpdate" class="form-label">Nombre del curso</label>
                          <input type="Text" class="form-control" id="inputNombreCursoUpdate" required="">
                        </div>
                        <div class="mb-3">
                          <label for="inputVersionesUpdate" class="form-label">Versiones</label>
                        </div>
                        <div class="mb-3 form-check">
                          <input type="checkbox" class="form-check-input" id="checkPresencialUpdate">
                          <label class="form-check-label custom-checkbox" for="checkPresencialUpdate">Presencial</label>
                        </div>
                        <div class="mb-3 form-check">
                          <input type="checkbox" class="form-check-input" id="checkConnectUpdate">
                          <label class="form-check-label custom-checkbox" for="checkConnectUpdate">Connect</label>
                        </div>
                    
                        <div class=" modal-footer">
                            <button type="button" class="btn btn-secondary float-end me-3" data-bs-dismiss="modal">Cerrar</button>
                            <button type="submit" class="btn btn-primary float-end" id="saveButtonUpdate">Guardar información</button>
                        </div>
                      </form>
                </div>
              </div>
            </div>
          </div>
    </section>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/js/bootstrap.bundle.min.js" ></script>
    <script>
      document.querySelector("#inputSearch").addEventListener('input',handleInput)




    </script>
    <script src="js/funciones.js"></script>
    <script src="js/main.js"></script>
       
</body>
</html>
